
Core - Bug # 58986

Status: Resolved Priority: Must have
Author: Paul A. Auwehla Category: Content Rendering
Created: 2014-05-21 Assigned To:
Updated: 2014-05-23 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus:
Subject: Content element Media: 2 bug with External URL in 6.2.2: wrong http:// handling
Description

Take a External video URL like 
http://www.youtube.com/watch?v=ow7eEWh37iU

In fresh clean working typo3 6.2.2 with IntroPack:
+ Add Media content element.
+ Goto Video Element and add External URL using the icon(!) "Select file or URL".
+ Notice the http:// in front of the complete URL
+ Set Link 
+ Notice the http:// is not longer there in the "Path or URL to fallback ..."

Look at rendered code on the FrontEnd:
No object code is rendered at all.

Readd the http:// directly in the 
"Path or URL to fallback ..." (without using the icon)

Look at rendered code on the FrontEnd again:
Now you will see no video, but at least the object-code is rendered.
(See bug 1: data-value is useless for viewing video in browser)

Related issues:
related to Core - Bug # 58569: Content element "media" does not render Youtub... Resolved 2014-05-06
related to Core - Bug # 58985: Content element Media: 1 bug with External URL... Closed 2014-05-21

Associated revisions
Revision 6118ac5f - 2014-05-23 00:06 - Thomas Löffler

[BUGFIX] Fix url for youtube embeds

Additionally solve the problem when http:// is missing
due to usage of the link wizard.

Change-Id: I676d14b4ddf81d5d3ec0fc0d0ebb32d08910047a
Resolves: #58569
Resolves: #58986
Releases: 6.2
Reviewed-on: https://review.typo3.org/29952
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-05-21 12:09 - Markus Klein
- Category set to Content Rendering
- Status changed from New to Accepted

#2 - 2014-05-21 12:33 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29952

#3 - 2014-05-23 00:30 - Thomas Löffler
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6118ac5f62579b7456e02725656d4becd759c4fc.
